Debian Bug report logs - #555683
ITP: closure-compiler -- JavaScript optimizing compiler

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nicholas Jefferson <nicholas@pythonic.com.au>

Date: Wed, 11 Nov 2009 04:12:01 UTC

Owned by: thomas@koch.ro

Severity: wishlist

Merged with 622928

Fixed in version closure-compiler/20130227+dfsg1-1

Done: Thomas Koch <thomas@koch.ro>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#555683; Package wnpp. (Wed, 11 Nov 2009 04:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Jefferson <nicholas@pythonic.com.au>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Wed, 11 Nov 2009 04:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicholas Jefferson <nicholas@pythonic.com.au>
To: submit@bugs.debian.org
Subject: ITP: closure-compiler -- JavaScript optimizing compiler
Date: Wed, 11 Nov 2009 14:17:40 +1100
Package: wnpp
Severity: wishlist

* Package name    : closure-compiler
  Version         : 0~svn2
  Upstream Author : Google Inc.
* URL             : http://code.google.com/p/closure-compiler/
* License         : Apache License 2.0
  Programming Lang: Java
  Description     : JavaScript optimizing compiler

 Closure Compiler is a JavaScript optimizing compiler. It parses your
 JavaScript, analyzes it, removes dead code and rewrites and minimizes
 what's left. It also checks syntax, variable references, and types, and
 warns about common JavaScript pitfalls. It is used in many of Google's
 JavaScript apps, including Gmail, Google Web Search, Google Maps, and
 Google Docs.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#555683; Package wnpp. (Fri, 12 Nov 2010 00:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Hym <samuel.hym@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 12 Nov 2010 00:27:07 GMT) Full text and rfc822 format available.

Message #10 received at 555683@bugs.debian.org (full text, mbox):

From: Samuel Hym <samuel.hym@gmail.com>
To: Nicholas Jefferson <nicholas@pythonic.com.au>
Cc: 555683@bugs.debian.org
Subject: Re: ITP: closure-compiler -- JavaScript optimizing compiler
Date: Fri, 12 Nov 2010 01:22:31 +0100
Hi Nicholas,

Any progress on packaging the closure compiler?

Best regards
Sam





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#555683; Package wnpp. (Wed, 27 Jul 2011 16:30:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 16:30:40 GMT) Full text and rfc822 format available.

Message #15 received at 555683@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 555683@bugs.debian.org
Cc: control@bugs.debian.org
Subject: closure-compiler: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 555683 RFP: closure-compiler -- JavaScript optimizing compiler
noowner 555683
thanks

Hi,

This is an automatic email to change the status of closure-compiler back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting closure-compiler, please send a mail to
<control@bugs.debian.org> with:

 retitle 555683 ITP: closure-compiler -- JavaScript optimizing compiler
 owner 555683 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <555683@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: closure-compiler -- JavaScript optimizing compiler' from 'ITP: closure-compiler -- JavaScript optimizing compiler' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:46:10 GMT) Full text and rfc822 format available.

Merged 555683 622928 Request was from Kan-Ru Chen <koster@debian.org> to control@bugs.debian.org. (Mon, 28 May 2012 14:36:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#555683; Package wnpp. (Sun, 16 Dec 2012 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 16 Dec 2012 08:03:03 GMT) Full text and rfc822 format available.

Message #24 received at 555683@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 555683-subscribe@bugs.debian.org, 555683@bugs.debian.org
Subject: upstream issues
Date: Sun, 16 Dec 2012 09:00:49 +0100
please use git
http://code.google.com/p/closure-compiler/issues/detail?id=880

please provide a source only tarball
http://code.google.com/p/closure-compiler/issues/detail?id=881

json.org is not free software
http://code.google.com/p/closure-compiler/issues/detail?id=882

Please vote (star) these issues if you care about closure-compiler in Debian!

Thomas Koch, http://www.koch.ro



Added indication that bug 555683 blocks 657405 Request was from Thomas Koch <thomas@koch.ro> to 657405-submit@bugs.debian.org. (Sun, 16 Dec 2012 08:06:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: closure-compiler -- JavaScript optimizing compiler' from 'RFP: closure-compiler -- JavaScript optimizing compiler' Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Thu, 03 Jan 2013 20:24:13 GMT) Full text and rfc822 format available.

Owner recorded as thomas@koch.ro. Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Thu, 03 Jan 2013 20:24:14 GMT) Full text and rfc822 format available.

Added indication that bug 555683 blocks 697193 Request was from Thomas Koch <thomas@koch.ro> to submit@bugs.debian.org. (Thu, 03 Jan 2013 20:30:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 555683: 697311 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Fri, 04 Jan 2013 19:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#555683; Package wnpp. (Sun, 06 Jan 2013 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 06 Jan 2013 16:30:03 GMT) Full text and rfc822 format available.

Message #39 received at 555683@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 622928@bugs.debian.org, 555683@bugs.debian.org
Subject: started packaging
Date: Sun, 6 Jan 2013 17:26:45 +0100
I started the packaging at
http://anonscm.debian.org/gitweb/?p=pkg-java/closure-compiler.git

Thomas Koch, http://www.koch.ro



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#555683; Package wnpp. (Fri, 22 Feb 2013 18:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 22 Feb 2013 18:06:03 GMT) Full text and rfc822 format available.

Message #44 received at 555683@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: debian-java@lists.debian.org
Cc: 555683@bugs.debian.org
Subject: RFS: closure-compiler/20121212+dfsg1-1 (new, dep for GWT 2.5)
Date: Fri, 22 Feb 2013 19:03:31 +0100
Hi,

I am looking for a sponsor for my package "closure-compiler". It is a 
dependency for GWT since version 2.5. It itself depends on libandroid-json-
org-java which is still in the new queue.

 * Package name    : closure-compiler
   Version         : 20121212+dfsg1-1
   Upstream Author : Google
 * URL             : http://code.google.com/p/closure-compiler/
 * License         : Apache 2.0
   Section         : java

  It builds those binary packages:

libclosure-compiler-java - JavaScript optimizing compiler
libclosure-compiler-java-doc - JavaScript optimizing compiler - Javadoc

To access further information about this package, please visit the following 
URL:

  http://mentors.debian.net/package/closure-compiler

Alternatively, one can download the package with dget using this command:

    dget -x http://mentors.debian.net/debian/pool/main/c/closure-
compiler/closure-compiler_20121212+dfsg1-1.dsc

Regards,
   Thomas Koch

Thomas Koch, http://www.koch.ro



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, thomas@koch.ro:
Bug#555683; Package wnpp. (Tue, 26 Feb 2013 06:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tmancill@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, thomas@koch.ro. (Tue, 26 Feb 2013 06:18:03 GMT) Full text and rfc822 format available.

Message #49 received at 555683@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: debian-java@lists.debian.org
Cc: 555683@bugs.debian.org
Subject: Re: RFS: closure-compiler/20121212+dfsg1-1 (new, dep for GWT 2.5)
Date: Mon, 25 Feb 2013 22:13:39 -0800
[Message part 1 (text/plain, inline)]
On 02/22/2013 10:03 AM, Thomas Koch wrote:
> Hi,
> 
> I am looking for a sponsor for my package "closure-compiler". It is a 
> dependency for GWT since version 2.5. It itself depends on libandroid-json-
> org-java which is still in the new queue.
> 
>  * Package name    : closure-compiler
>    Version         : 20121212+dfsg1-1
>    Upstream Author : Google
>  * URL             : http://code.google.com/p/closure-compiler/
>  * License         : Apache 2.0
>    Section         : java

Hello Thomas,

The packaging builds fine, but I think there is a bit more work to do on
debian/copyright.  The following files carry a BSD license:

./src/com/google/debugging/sourcemap/Base64VLQ.java: BSD (3 clause)
./test/com/google/debugging/sourcemap/Base64VLQTest.java: BSD (3 clause)

Also, now that there is a build-dep on librhino, can the following trees
be pruned from repacked tarball?   The files under these directories are
dual licensed under the MPL 1.1/GPL 2.0.

./src/com/google/javascript/rhino/
./test/com/google/javascript/rhino/

Cheers,
tony

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#555683; Package wnpp. (Mon, 04 Mar 2013 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 04 Mar 2013 17:15:03 GMT) Full text and rfc822 format available.

Message #54 received at 555683@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: debian-java@lists.debian.org
Cc: tony mancill <tmancill@debian.org>, 555683@bugs.debian.org
Subject: Re: RFS: closure-compiler/20121212+dfsg1-1 (new, dep for GWT 2.5)
Date: Mon, 4 Mar 2013 18:11:54 +0100
tony mancill:
> Hello Thomas,
> 
> The packaging builds fine, but I think there is a bit more work to do on
> debian/copyright.  The following files carry a BSD license:
> 
> ./src/com/google/debugging/sourcemap/Base64VLQ.java: BSD (3 clause)
> ./test/com/google/debugging/sourcemap/Base64VLQTest.java: BSD (3 clause)
> 
> Also, now that there is a build-dep on librhino, can the following trees
> be pruned from repacked tarball?   The files under these directories are
> dual licensed under the MPL 1.1/GPL 2.0.
> 
> ./src/com/google/javascript/rhino/
> ./test/com/google/javascript/rhino/

Hi Tony,

thank you for the review. My bad that I trusted the license information on the 
project page and did not run licensecheck myself. I pushed an addition to 
d/copyright to the git repo. Should I also delete and reupload to debian 
mentors?

I also opened issues upstream to see whether they want to clean up on their 
part. The embedded rhino code however is modifed and thus can not just be 
purged by us.

Best regards,

Thomas Koch, http://www.koch.ro



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#555683; Package wnpp. (Mon, 04 Mar 2013 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 04 Mar 2013 20:39:03 GMT) Full text and rfc822 format available.

Message #59 received at 555683@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: debian-java@lists.debian.org
Cc: tony mancill <tmancill@debian.org>, 555683@bugs.debian.org
Subject: Re: RFS: closure-compiler/20121212+dfsg1-1 (new, dep for GWT 2.5)
Date: Mon, 4 Mar 2013 21:36:54 +0100
Hi Tony,

upstream released a new version last week. Let me update before you give it 
another go!

Thomas Koch, http://www.koch.ro



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 08 Mar 2013 07:06:04 GMT) Full text and rfc822 format available.

Reply sent to Thomas Koch <thomas@koch.ro>:
You have taken responsibility. (Sat, 13 Apr 2013 00:03:05 GMT) Full text and rfc822 format available.

Notification sent to Nicholas Jefferson <nicholas@pythonic.com.au>:
Bug acknowledged by developer. (Sat, 13 Apr 2013 00:03:05 GMT) Full text and rfc822 format available.

Message #66 received at 555683-close@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 555683-close@bugs.debian.org
Subject: Bug#555683: fixed in closure-compiler 20130227+dfsg1-1
Date: Sat, 13 Apr 2013 00:00:10 +0000
Source: closure-compiler
Source-Version: 20130227+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
closure-compiler, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 555683@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Koch <thomas@koch.ro> (supplier of updated closure-compiler package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 04 Mar 2013 21:59:30 +0100
Source: closure-compiler
Binary: libclosure-compiler-java libclosure-compiler-java-doc
Architecture: source all
Version: 20130227+dfsg1-1
Distribution: experimental
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Thomas Koch <thomas@koch.ro>
Description: 
 libclosure-compiler-java - JavaScript optimizing compiler
 libclosure-compiler-java-doc - JavaScript optimizing compiler - Javadoc
Closes: 555683
Changes: 
 closure-compiler (20130227+dfsg1-1) experimental; urgency=low
 .
   * Initial release. (Closes: #555683)
Checksums-Sha1: 
 1d67b35e3334675436d22d817e500023cb929298 2472 closure-compiler_20130227+dfsg1-1.dsc
 1000447162d0a04a657edfbd583212ee8783a598 1875985 closure-compiler_20130227+dfsg1.orig.tar.gz
 1aad03a33a2b9032a511467118b039f5430d731b 20676 closure-compiler_20130227+dfsg1-1.debian.tar.gz
 5a8ab6cd03680c92282b0db1303c0f8ce168351b 3349508 libclosure-compiler-java_20130227+dfsg1-1_all.deb
 449680d1ca0f12b4018255a6c2e05f66915f01f2 806386 libclosure-compiler-java-doc_20130227+dfsg1-1_all.deb
Checksums-Sha256: 
 3114f97d07824e5448c7625ce9674f9b7c3eab323fa2f24235bdc76ef97101d4 2472 closure-compiler_20130227+dfsg1-1.dsc
 46d82c46ee43240b3f16a166490c7eac3c0896488b0c3b84f1ed0b9e36efd958 1875985 closure-compiler_20130227+dfsg1.orig.tar.gz
 51e43d4fcae557b16ce5d9ec21b5ee521fbc74d1cd978257659c2e437981b891 20676 closure-compiler_20130227+dfsg1-1.debian.tar.gz
 ef753bb3c4c6eb54480f0558850d15f79041aca355dc45401bb0f76b68e079ee 3349508 libclosure-compiler-java_20130227+dfsg1-1_all.deb
 9dd74c47ec11296161dd7df00260bead368184b29eaeb3fd8edad529b513ef78 806386 libclosure-compiler-java-doc_20130227+dfsg1-1_all.deb
Files: 
 698553d93c595907cf2ed46ed992a458 2472 java optional closure-compiler_20130227+dfsg1-1.dsc
 a698c3fddaa704084709997b00fd8580 1875985 java optional closure-compiler_20130227+dfsg1.orig.tar.gz
 fe2bbc4d2f40dabff710d0f8589d7f44 20676 java optional closure-compiler_20130227+dfsg1-1.debian.tar.gz
 ba9e104f9dd1057dfab20f788af46a02 3349508 java optional libclosure-compiler-java_20130227+dfsg1-1_all.deb
 2a344acc147a55d2c4da726d85adbfbc 806386 doc optional libclosure-compiler-java-doc_20130227+dfsg1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJROWOrAAoJECHSBYmXSz6WNboP/1pKhWuvWOJxs0vfg+prZiC3
2qJSxp77wRja3DDPoee7KJ0MO7w93SyOzMHN+0F7Itf77YsepLQr/CJhqLlVhiz5
I1Tk+SFVbzv8Q57G4F0m2SPc7dfOmRcGtLO0I6XsMHvY98izc5sJBADb5zMpIs0c
51zqhCUsEo1MYcdTHvh3WViOUPPqgAerMs21y/usTS6+cMEMotyGs/qSpY0vwaHe
l1knD+9pkIuhse5SSW0SpTl4HLIWIO3cQn+lHZFs+jgMM/+oabVx6uKHC2vbbkJ6
xRpwp/0lOVYOX2PjAbuAtJLeCMEV8OkFQTa2wWbPA1ZUKmNVvc4JL9tiuxXc3fED
4qCfHyIY+lWdHxefGxrfqjU8TAO9YjzBlU11d7xngZoEWTF685QNkAQLMrSXIdd9
7knzzoyNsf1sUEn1729F5jCFouDL5EbWeDTBQkzg5phnTPjX6lElhpXUBjqYKGbk
0IHPp6Jxj2B6l5HQ7q0dHGLuzAusfvswfvuOPBW/w0yWfMd66+PDuRlKSACRV1HA
38hh8+14EoCj/jSlLZP42j7hGsP5HN7SGck8pKd2QZKpb1+2MRVG0WQgIVAjnZt1
kf6UpnXMBMvA08ksEXDadMaCjlhQBvQqBtyV1rrcci5C+knQNNA/Dj5cfbEGJRJ0
zm5XriWI1y+3tOHuUZ3Z
=BzT6
-----END PGP SIGNATURE-----




Reply sent to Thomas Koch <thomas@koch.ro>:
You have taken responsibility. (Sat, 13 Apr 2013 00:03:05 GMT) Full text and rfc822 format available.

Notification sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Bug acknowledged by developer. (Sat, 13 Apr 2013 00:03:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:29:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:23:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.